Group: Text tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		fex
Version:	2.0.0
Release:	alt2_19
Summary:	Field split/extraction like cut/awk

License:	BSD
URL:		http://semicomplete.com/projects/fex/
Source0:	https://github.com/jordansissel/%{name}/archive/v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  perl(Pod/Man.pm)
Source44: import.info

%description
Fex is a powerful field extraction tool. Fex provides a very concise language
for tokenizing strings and extracting fields.

%prep
%setup -q
# snprintf has a license incompatible with Fedora
# It is only used on Solaris so just delete the directory to avoid confusion or
# problems with licensing.
rm -rf snprintf_2.2

%build
%make_build CFLAGS="%{optflags}"
%make_build CFLAGS="%{optflags}" fex.1

%install
make install DESTDIR=%{buildroot}  PREFIX=%{_prefix}

%files
%doc LICENSE README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt2_19
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt2_17
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt2_16
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt2_15
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt2_14
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt2_13
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt2_12
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt2_11
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_11
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_10
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_9
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_8
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_7
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_6
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_5
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_3
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_2
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.20100416.2814-alt1_8
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.20100416.2814-alt1_7
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.20100416.2814-alt1_6
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.20100416.2814-alt1_5
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.20100416.2814-alt1_4
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.20100416.2814-alt1_3
- initial fc import

